
QGIS Application - Bug report #21189

Indexing data takes a very long time

2019-02-06 10:25 PM - Alexey T

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29007

Description

I have a large project with vector DEM loaded.

When I try to edit any feature QGis starts indexing data.

First, it takes a veeery long time to index.

Second, it takes more than 8 Gigs of RAM.

Looks like QGis indexes the whole project. I believe it is sufficient to index only the canvas.

History

#1 - 2019-02-07 12:21 PM - Giovanni Manghi

- Status changed from Open to Feedback

can you attach a sample project with data?

#2 - 2019-02-07 05:21 PM - Alexey T

It is 8 Gb of DEM data in shapefiles. Snapping should be enabled. When you try to edit it, QGIS indexes it and consumes 19Gb of RAM.

#3 - 2019-02-08 12:12 PM - Giovanni Manghi

- Category changed from Editing to Digitising

Alexey T wrote:

It is 8 Gb of DEM data in shapefiles. Snapping should be enabled. When you try to edit it, QGIS indexes it and consumes 19Gb of RAM.

a DEM is usually a raster map, in this case I guess you refer to a line vector map where lines represent the same terrain height, correct?

can we download this dataset somewhere?

#4 - 2019-02-08 01:24 PM - Alexey T

Yes, vector lines.

Here is the dataset. 4 Gb zipped.

https://yadi.sk/d/aR605PsV-vrp2A
#5 - 2019-02-11 06:21 PM - Giovanni Manghi

Alexey T wrote:

Yes, vector lines.

Here is the dataset. 4 Gb zipped.

https://yadi.sk/d/aR605PsV-vrp2A

the dataset is split in several "small" shapes. I don't have any issues while editing any of them. Did you merged those shapes in one unique vector?

#6 - 2019-02-11 06:26 PM - Alexey T

No, I didn't

#7 - 2019-02-11 06:27 PM - Alexey T

Snapping shold be enabled.

#8 - 2019-02-11 06:36 PM - Alexey T

Take a look at this video

https://yadi.sk/i/-b6yBfba3W967A

#9 - 2019-02-11 07:35 PM - Giovanni Manghi

Alexey T wrote:

Snapping shold be enabled.

I'm trying with one of those shapes (a 250MB one) with snapping enabled and I don't particular issues to edit on 3.4.4 (but it seems there is a regression on

master).

What are the exact steps to follow to replicate the problem?

#10 - 2019-02-11 07:35 PM - Giovanni Manghi

Alexey T wrote:

Take a look at this video

https://yadi.sk/i/-b6yBfba3W967A

sorry seen this clink only after my last comment.
#11 - 2019-02-11 07:39 PM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Feedback to Open

Alexey T wrote:

Take a look at this video

https://yadi.sk/i/-b6yBfba3W967A

ok I replicated, it indeed eats up all memory and eventually will crashes.

Did it worked better on 2.18?

#12 - 2019-02-11 07:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

#13 - 2019-02-11 07:44 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Regression? changed from No to Yes

Did it worked better on 2.18?

I answer myself: yes. No such issue on 2.18.

#14 - 2019-02-12 07:22 AM - Loïc BARTOLETTI

Can you try to enable the option "Settings->Options->Digitizing->Enable snapping on invisible features" and restart QGIS ?

#15 - 2019-02-12 11:59 AM - Giovanni Manghi

Loïc BARTOLETTI wrote:

Can you try to enable the option "Settings->Options->Digitizing->Enable snapping on invisible features" and restart QGIS ?

it does not make any difference.

#16 - 2019-02-13 12:09 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

There have been a update of the linspatialindex library in osgeo4w, and now this problem is gone.
#17 - 2019-02-13 12:11 PM - Alexey T

In what version will it be fixed?

#18 - 2019-02-13 12:35 PM - Giovanni Manghi

Alexey T wrote:

In what version will it be fixed?

it is already fixed if you use the osgeo4w installer, if not yo will need to wait for the next build of the standalone installer (not sure if it was generated one in

the last hours).

#19 - 2019-02-13 12:39 PM - Jürgen Fischer

Giovanni Manghi wrote:

it is already fixed if you use the osgeo4w installer, if not yo will need to wait for the next build of the standalone installer (not sure if it was generated

one in the last hours).

The standalones are regularly only updated after releases.
